For the complete documentation index, see llms.txt. This page is also available as Markdown.

Giftcards

Get Gift Cards for a store

get
Authorizations
AuthorizationstringRequired

An API Key token generated in the Dashboard in the format 'APIKey TOKEN_HERE'.

Path parameters
storeIdstring · flake-idRequiredExample: 411486491630370816
Query parameters
limitinteger · int32 · min: 1 · max: 100Optional

The maximum number of items to return in a single request.

afterstring · flake-idOptional

Returns items after the specified ID. Used for forward pagination through results.

Example: 411486491630370816
beforestring · flake-idOptional

Returns items before the specified ID. Used for backward pagination through results.

Example: 411486491630370816
ascbooleanOptional

Determines the sort order of returned items. When true, items are returned in ascending order. When false, items are returned in descending order.

codestringOptional

A gift card code to filter by.

include_canceledbooleanOptional

Should canceled gift cards be included in the response?

Responses
200

OK

application/json

Represents a gift card in the PayNow system.

idstring · flake-idRequiredExample: 411486491630370816
store_idstring · flake-idRequiredExample: 411486491630370816
enabledbooleanRequired

Indicates whether the gift card is currently enabled and can be used.

codestringRequired

The unique code that customers use to redeem the gift card.

Example: GIFT-2024-ABCD1234
notestring · nullableOptional

Optional note or description associated with the gift card.

balanceinteger · int64Required

The current balance remaining on the gift card in cents.

Example: 2500
starting_balanceinteger · int64Required

The original balance when the gift card was first created in cents.

Example: 5000
usable_atstring · date-timeRequired

The date and time when the gift card becomes usable.

expires_atstring · nullableOptional

The date and time when the gift card expires, if applicable.

created_atstring · nullableOptional

The date and time when the gift card was created.

updated_atstring · nullableOptional

The date and time when the gift card was last updated, if applicable.

canceled_atstring · nullableOptional

The date and time when the gift card was canceled, if applicable.

get/v1/stores/{storeId}/giftcards
GET /v1/stores/{storeId}/giftcards HTTP/1.1
Authorization: APIKey TOKEN_HERE
Accept: */*
[
  {
    "id": "411486491630370816",
    "store_id": "411486491630370816",
    "enabled": true,
    "code": "GIFT-2024-ABCD1234",
    "note": null,
    "balance": 2500,
    "starting_balance": 5000,
    "usable_at": "2026-01-01T00:00:00.000Z",
    "expires_at": null,
    "created_at": null,
    "created_by": {
      "type": "anonymous",
      "id": "411486491630370816"
    },
    "updated_at": null,
    "updated_by": {
      "type": "anonymous",
      "id": "411486491630370816"
    },
    "canceled_at": null,
    "canceled_by": {
      "type": "anonymous",
      "id": "411486491630370816"
    }
  }
]

Create a Gift Card for a store

post
Authorizations
AuthorizationstringRequired

An API Key token generated in the Dashboard in the format 'APIKey TOKEN_HERE'.

Path parameters
storeIdstring · flake-idRequiredExample: 411486491630370816
Body
enabledbooleanRequired
codestringRequired
notestringOptional
balanceinteger · int64Required
usable_atstring · date-timeRequired
expires_atstring · nullableOptional
Responses
200

OK

application/json

Represents a gift card in the PayNow system.

idstring · flake-idRequiredExample: 411486491630370816
store_idstring · flake-idRequiredExample: 411486491630370816
enabledbooleanRequired

Indicates whether the gift card is currently enabled and can be used.

codestringRequired

The unique code that customers use to redeem the gift card.

Example: GIFT-2024-ABCD1234
notestring · nullableOptional

Optional note or description associated with the gift card.

balanceinteger · int64Required

The current balance remaining on the gift card in cents.

Example: 2500
starting_balanceinteger · int64Required

The original balance when the gift card was first created in cents.

Example: 5000
usable_atstring · date-timeRequired

The date and time when the gift card becomes usable.

expires_atstring · nullableOptional

The date and time when the gift card expires, if applicable.

created_atstring · nullableOptional

The date and time when the gift card was created.

updated_atstring · nullableOptional

The date and time when the gift card was last updated, if applicable.

canceled_atstring · nullableOptional

The date and time when the gift card was canceled, if applicable.

post/v1/stores/{storeId}/giftcards
POST /v1/stores/{storeId}/giftcards HTTP/1.1
Authorization: APIKey TOKEN_HERE
Content-Type: application/json
Accept: */*
Content-Length: 113

{
  "enabled": true,
  "code": "text",
  "note": "text",
  "balance": 1,
  "usable_at": "2026-01-01T00:00:00.000Z",
  "expires_at": null
}
{
  "id": "411486491630370816",
  "store_id": "411486491630370816",
  "enabled": true,
  "code": "GIFT-2024-ABCD1234",
  "note": null,
  "balance": 2500,
  "starting_balance": 5000,
  "usable_at": "2026-01-01T00:00:00.000Z",
  "expires_at": null,
  "created_at": null,
  "created_by": {
    "type": "anonymous",
    "id": "411486491630370816"
  },
  "updated_at": null,
  "updated_by": {
    "type": "anonymous",
    "id": "411486491630370816"
  },
  "canceled_at": null,
  "canceled_by": {
    "type": "anonymous",
    "id": "411486491630370816"
  }
}

Get a Gift Card By ID for a store

get
Authorizations
AuthorizationstringRequired

An API Key token generated in the Dashboard in the format 'APIKey TOKEN_HERE'.

Path parameters
storeIdstring · flake-idRequiredExample: 411486491630370816
giftCardIdstring · flake-idRequiredExample: 411486491630370816
Responses
200

OK

application/json

Represents a gift card in the PayNow system.

idstring · flake-idRequiredExample: 411486491630370816
store_idstring · flake-idRequiredExample: 411486491630370816
enabledbooleanRequired

Indicates whether the gift card is currently enabled and can be used.

codestringRequired

The unique code that customers use to redeem the gift card.

Example: GIFT-2024-ABCD1234
notestring · nullableOptional

Optional note or description associated with the gift card.

balanceinteger · int64Required

The current balance remaining on the gift card in cents.

Example: 2500
starting_balanceinteger · int64Required

The original balance when the gift card was first created in cents.

Example: 5000
usable_atstring · date-timeRequired

The date and time when the gift card becomes usable.

expires_atstring · nullableOptional

The date and time when the gift card expires, if applicable.

created_atstring · nullableOptional

The date and time when the gift card was created.

updated_atstring · nullableOptional

The date and time when the gift card was last updated, if applicable.

canceled_atstring · nullableOptional

The date and time when the gift card was canceled, if applicable.

get/v1/stores/{storeId}/giftcards/{giftCardId}
GET /v1/stores/{storeId}/giftcards/{giftCardId} HTTP/1.1
Authorization: APIKey TOKEN_HERE
Accept: */*
{
  "id": "411486491630370816",
  "store_id": "411486491630370816",
  "enabled": true,
  "code": "GIFT-2024-ABCD1234",
  "note": null,
  "balance": 2500,
  "starting_balance": 5000,
  "usable_at": "2026-01-01T00:00:00.000Z",
  "expires_at": null,
  "created_at": null,
  "created_by": {
    "type": "anonymous",
    "id": "411486491630370816"
  },
  "updated_at": null,
  "updated_by": {
    "type": "anonymous",
    "id": "411486491630370816"
  },
  "canceled_at": null,
  "canceled_by": {
    "type": "anonymous",
    "id": "411486491630370816"
  }
}

Delete a Gift Card By ID for a store

delete
Authorizations
AuthorizationstringRequired

An API Key token generated in the Dashboard in the format 'APIKey TOKEN_HERE'.

Path parameters
storeIdstring · flake-idRequiredExample: 411486491630370816
giftCardIdstring · flake-idRequiredExample: 411486491630370816
Responses
200

OK

application/json

Represents a gift card in the PayNow system.

idstring · flake-idRequiredExample: 411486491630370816
store_idstring · flake-idRequiredExample: 411486491630370816
enabledbooleanRequired

Indicates whether the gift card is currently enabled and can be used.

codestringRequired

The unique code that customers use to redeem the gift card.

Example: GIFT-2024-ABCD1234
notestring · nullableOptional

Optional note or description associated with the gift card.

balanceinteger · int64Required

The current balance remaining on the gift card in cents.

Example: 2500
starting_balanceinteger · int64Required

The original balance when the gift card was first created in cents.

Example: 5000
usable_atstring · date-timeRequired

The date and time when the gift card becomes usable.

expires_atstring · nullableOptional

The date and time when the gift card expires, if applicable.

created_atstring · nullableOptional

The date and time when the gift card was created.

updated_atstring · nullableOptional

The date and time when the gift card was last updated, if applicable.

canceled_atstring · nullableOptional

The date and time when the gift card was canceled, if applicable.

delete/v1/stores/{storeId}/giftcards/{giftCardId}
DELETE /v1/stores/{storeId}/giftcards/{giftCardId} HTTP/1.1
Authorization: APIKey TOKEN_HERE
Accept: */*
{
  "id": "411486491630370816",
  "store_id": "411486491630370816",
  "enabled": true,
  "code": "GIFT-2024-ABCD1234",
  "note": null,
  "balance": 2500,
  "starting_balance": 5000,
  "usable_at": "2026-01-01T00:00:00.000Z",
  "expires_at": null,
  "created_at": null,
  "created_by": {
    "type": "anonymous",
    "id": "411486491630370816"
  },
  "updated_at": null,
  "updated_by": {
    "type": "anonymous",
    "id": "411486491630370816"
  },
  "canceled_at": null,
  "canceled_by": {
    "type": "anonymous",
    "id": "411486491630370816"
  }
}

Update a Gift Card By ID for a store

patch
Authorizations
AuthorizationstringRequired

An API Key token generated in the Dashboard in the format 'APIKey TOKEN_HERE'.

Path parameters
storeIdstring · flake-idRequiredExample: 411486491630370816
giftCardIdstring · flake-idRequiredExample: 411486491630370816
Body
enabledbooleanOptional
codestringOptional
notestringOptional
balanceinteger · int64Optional
usable_atstring · date-timeOptional
expires_atstring · nullableOptional
Responses
200

OK

application/json

Represents a gift card in the PayNow system.

idstring · flake-idRequiredExample: 411486491630370816
store_idstring · flake-idRequiredExample: 411486491630370816
enabledbooleanRequired

Indicates whether the gift card is currently enabled and can be used.

codestringRequired

The unique code that customers use to redeem the gift card.

Example: GIFT-2024-ABCD1234
notestring · nullableOptional

Optional note or description associated with the gift card.

balanceinteger · int64Required

The current balance remaining on the gift card in cents.

Example: 2500
starting_balanceinteger · int64Required

The original balance when the gift card was first created in cents.

Example: 5000
usable_atstring · date-timeRequired

The date and time when the gift card becomes usable.

expires_atstring · nullableOptional

The date and time when the gift card expires, if applicable.

created_atstring · nullableOptional

The date and time when the gift card was created.

updated_atstring · nullableOptional

The date and time when the gift card was last updated, if applicable.

canceled_atstring · nullableOptional

The date and time when the gift card was canceled, if applicable.

patch/v1/stores/{storeId}/giftcards/{giftCardId}
PATCH /v1/stores/{storeId}/giftcards/{giftCardId} HTTP/1.1
Authorization: APIKey TOKEN_HERE
Content-Type: application/json
Accept: */*
Content-Length: 113

{
  "enabled": true,
  "code": "text",
  "note": "text",
  "balance": 1,
  "usable_at": "2026-01-01T00:00:00.000Z",
  "expires_at": null
}
{
  "id": "411486491630370816",
  "store_id": "411486491630370816",
  "enabled": true,
  "code": "GIFT-2024-ABCD1234",
  "note": null,
  "balance": 2500,
  "starting_balance": 5000,
  "usable_at": "2026-01-01T00:00:00.000Z",
  "expires_at": null,
  "created_at": null,
  "created_by": {
    "type": "anonymous",
    "id": "411486491630370816"
  },
  "updated_at": null,
  "updated_by": {
    "type": "anonymous",
    "id": "411486491630370816"
  },
  "canceled_at": null,
  "canceled_by": {
    "type": "anonymous",
    "id": "411486491630370816"
  }
}

Last updated

Was this helpful?